Skip to main content
`Ctrl`+`K`

# MatFactorSolveSchurComplementTranspose

Solve the transpose of the Schur complement system computed during the factorization step

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorSolveSchurComplementTranspose(Mat F, Vec rhs, Vec sol)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

- rhs - location where the right-hand side of the Schur complement system is stored

- sol - location where the solution of the Schur complement system has to be returned

## Notes

The sizes of the vectors should match the size of the Schur complement

Must be called after `MatFactorSetSchurIS()`

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatFactorSetSchurIS()`, `MatFactorSolveSchurComplement()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages